'use strict';

var React = require('react');
var reactSocialIcons = require('./react-social-icons-2c5c389a.js');
var checkSisterSite = require('./checkSisterSite-b29833b2.js');
var iconBase = require('./iconBase-be4097c0.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var year = new Date().getFullYear();

var SocialNavFooter = function SocialNavFooter(props) {
  var website = props.website,
      showLogo = props.showLogo;

  return React__default["default"].createElement(
    'div',
    { className: 'nav-footer' },
    website && website.footerLinks && website.footerLinks.length && React__default["default"].createElement(
      'ul',
      null,
      website && website.footerLinks.map(function (content, index) {
        if (content.url && content.title) {
          return content.blank ? React__default["default"].createElement(
            'li',
            { key: index },
            React__default["default"].createElement(
              'a',
              { target: '_blank', rel: checkSisterSite.checkSisterSite(content.url) ? '' : 'noopener noreferrer', href: content.url, className: 'nav-link' },
              content.title
            )
          ) : React__default["default"].createElement(
            'li',
            { key: index },
            React__default["default"].createElement(
              'a',
              { href: content.url, rel: checkSisterSite.checkSisterSite(content.url) ? '' : 'noopener noreferrer', className: 'nav-link' },
              content.title
            )
          );
        } else return null;
      })
    ),
    React__default["default"].createElement(
      'ul',
      null,
      React__default["default"].createElement(
        'li',
        { style: { marginTop: '10px' }, key: website.footerLinks ? website.footerLinks.length + 1 : 1 },
        website.socialLinks && website.socialLinks.map(function (row, index) {
          return React__default["default"].createElement(reactSocialIcons.reactSocialIcons_1, {
            target: row.blank ? '_blank' : '_self',
            rel: checkSisterSite.checkSisterSite(row.url) ? '' : 'noopener noreferrer',
            key: index,
            index: index,
            url: row.url
            // including network prop to identify the icon based on the social icon title.
            , network: row.title.split(' ')[0].toLowerCase(),
            style: { width: 30, height: 30, marginRight: 5 }
          });
        })
      ),
      showLogo && React__default["default"].createElement(
        'li',
        null,
        React__default["default"].createElement(
          'a',
          { href: 'https://www.mjhlifesciences.com', rel: checkSisterSite.checkSisterSite('https://www.mjhlifesciences.com') ? '' : 'noopener noreferrer' },
          React__default["default"].createElement('img', {
            style: { maxWidth: '100%', height: '50px', margin: ' 10px 0', objectFit: 'contain' },
            alt: 'MJHLS Brand Logo',
            src: 'https://mjh-web.s3.amazonaws.com/_media/an_mjhls_brand_logo.png'
          })
        )
      )
    ),
    website && website.name && React__default["default"].createElement(
      'p',
      { className: 'nav-link' },
      '\xA9 ',
      year,
      ' MJH Life Sciences and ',
      website.name,
      '. All rights reserved.'
    )
  );
};

// THIS FILE IS AUTO GENERATED
function GoSearch (props) {
  return iconBase.GenIcon({"tag":"svg","attr":{"viewBox":"0 0 16 16"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M15.7 13.3l-3.81-3.83A5.93 5.93 0 0 0 13 6c0-3.31-2.69-6-6-6S1 2.69 1 6s2.69 6 6 6c1.3 0 2.48-.41 3.47-1.11l3.83 3.81c.19.2.45.3.7.3.25 0 .52-.09.7-.3a.996.996 0 0 0 0-1.41v.01zM7 10.7c-2.59 0-4.7-2.11-4.7-4.7 0-2.59 2.11-4.7 4.7-4.7 2.59 0 4.7 2.11 4.7 4.7 0 2.59-2.11 4.7-4.7 4.7z"}}]})(props);
}

exports.GoSearch = GoSearch;
exports.SocialNavFooter = SocialNavFooter;
